<!DOCTYPE HTML>
<html xmlns:layout="http://www.w3.org/1999/xhtml" layout:decorate="~{layout/main}">
<head>
    <title>Bull-EzyVolt</title>
    <script src="/js/gauge.js"></script>
    <style type="text/css">
	.myCalss{
		margin-left: -190px;
	}
	td i {
    text-align:center;
}

.wraptocenter {
    display: table-cell;
    text-align: center;
    vertical-align: middle;
}



</style>
</head>
<body>
<div layout:fragment="content">

    <nav class="navbar navbar-expand-lg navbar-transparent  bg-primary  navbar-absolute">

    </nav>
    <div class="panel-header panel-header-sm">
    </div>
    <div class="content">
        <div class="row" id="editUser">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="title">Edit User</h5>
                    </div>
                    <div class="card-body">
                        <form>
                            <div class="row">
                                <div class="col-md-12">
                                    <div>
                                        <label id="error_msg" class="bmd-label-floating"></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>Username/email *</strong></label>
                                        <input type="text" id="username" class="form-control" placeholder="Username" >
                                    </div>
                                </div>
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <input type="hidden"  id="userId" class="form-control" placeholder="Username" >
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>First Name *</strong></label>
                                        <input type="text"  id="firstName" class="form-control" placeholder="First Name">
                                    </div>
                                </div>
                                <div class="col-md-4 pl-1">
                                    <div class="form-group">
                                        <label><strong>Last Name *</strong></label>
                                        <input type="text" id="lastName" class="form-control" placeholder="Last Name">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>Department *</strong></label>
                                        <input type="text" id="department" class="form-control"
                                               value="Mike">
                                    </div>
                                </div>

                                <div class="col-md-4 pr-1">
                                    <div class="form-group">
                                        <label><strong>Gender *</strong></label>
                                        <select id="gender" class="form-control">
                                            <option value="male">Male</option>
                                            <option value="female">Female</option>
                                            <option value="Others">Others</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                           <div class="row">
                             <div class="col-md-8">
                                <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff; margin-left: 50px">
                                    <a onclick="updateUser();" id="saveBtn" style="color:#fff;text-decoration: none;">
                                     Save</a>
                                </h4>
                             </div>
                           </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" id="tableview">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title" style="float:left;"> Users List</h4>
                        <h4 class="card-title btn" style="float:right; background-color: #fd7e14; color:#fff;"><a
                                href="/users/new" style="color:#fff;text-decoration: none;">Add New</a></h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table">
                                <thead class=" text-primary">
                                <th>Full Name</th>
                                <th>Department </th>
                                <th>Gender </th>
                                <th align="center">Action</th>
                                </thead>
                                <tbody id="userList">
                               </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<script>
  $(document).ready(function(){

         $("#tableview").show();
         $("#editUser").hide();

          //load users
    var userLists="";
    $.ajax({
        contentType: "application/json;charset=UTF-8",
        url: "api/v1/user/",
        dataType: "json",
        type: "GET",
        async:false,
        success:function(data){
           for(i=0;i<data.length;i++){
           userLists=userLists+'<tr><td>';
           userLists=userLists+' <a href="javascript:getProfile(\''+data[i].id+'\')" class="edit-link" >';
           userLists=userLists+ data[i] .firstName+' '+data[i].lastName ;
           userLists=userLists+'</a></td>';
           userLists=userLists+' <td> '+data[i].department +'</td>';
           userLists=userLists+' <td>'+data[i].gender +'</td>';
           userLists=userLists+'<td>';
           userLists=userLists+'<a href="javascript:deleteProfile(\''+data[i].id+'\')"  title="Delete">';
           userLists=userLists+'<i " class="fa fa-trash md-18" ></i> </a>';
           userLists=userLists+'</td></tr>';

           }
            $("#userList").html(userLists);
        }
    });
  });


   function deleteProfile(id) {
            location.reload();
         $("#change_password").hide();
         $("#editUser").hide();
         $("#tableview").show();
               $.ajax({
                     contentType: "application/json;charset=UTF-8",
                     url: "/api/v1/user/"+id,
                     dataType: "json",
                     type: "DELETE",
                     cache: !1,
                     processData: !1,
                     success:function(data){
                     console.log(data);

                     }
               });
        }


    function getProfileId(id){
         $.ajax({
               contentType: "application/json;charset=UTF-8",
               url: "${pageContext.request.contextPath}/api/v1/user/"+id,
               dataType: "json",
               type: "GET",
               success:function(data){
                  getProfile(data)

               }
          });
    }
    function getProfile(id){
         $("#change_password").hide();
         $("#editUser").show();
         $("#tableview").hide();


           $.ajax({
                     contentType: "application/json;charset=UTF-8",
                     url: "/api/v1/user/"+id,
                     dataType: "json",
                     type: "GET",
                     cache: !1,
                     processData: !1,
                     success:function(data){
                     //console.log(data);
                        $('#username').val(data.userName);
                        $('#firstName').val(data.firstName);
                        $('#lastName').val(data.lastName);
                        $('#department').val(data.department);
                        $('#userId').val(data.id);
                        $('#gender').val(data.gender);

                     }
           });

    }

     function updateUser() {

           if($.trim($('#username').val()) == "") {
                    $('#error_msg').html("User Name should not be empty");
                    return false;
               }else  if($.trim($('#firstName').val()) == "") {
                    $('#error_msg').html("First Name should not be empty");
                    return false;
               }else if($.trim($('#lastName').val()) == "") {
                    $('#error_msg').html("Last Name should not be empty");
                    return false;
               }else if($.trim($('#department').val()) == "") {
                    $('#error_msg').html("Department Name should not be empty");
                    return false;
               }

         $('#error_msg').html('');


     var userData={
                 firstName    : $('#firstName').val(),
                 lastName     : $('#lastName').val(),
                 department   : $('#department').val(),
                 id           : $('#userId').val(),
                 userName     : $('#username').val(),
                 gender       :$("#gender option:selected" ).val()

     };

          $.ajax({
                 contentType: "application/json;charset=UTF-8",
                 url: "/api/v1/user/update",
                 dataType: "json",
                 type: "POST",
                 cache: !1,
                 processData: !1,
                 data: JSON.stringify(userData),
                  complete:function(xhr) {
                if(xhr.status==201){
                    $('div .btn-info').removeAttr("disabled");
                        $("#error_msg").show().html("User has been Updated successfully").removeClass('label-info').addClass('label-success');
                        window.location.href = "/users";
                        if($("#userId").val()==""){
                           clearForm();
                        }
                        getProfile(id);
                    }else{

                        $('div .btn-info').removeAttr("disabled");
                        $("#error_msg").show().html("The User was not Updated...Please try again. ").removeClass('label-info').addClass('label-danger');
                    }
                }
           });

     }




</script>

</div>
</body>